# arm_dct4_init_f32.c File Reference

`#include "arm_math.h"`

Go to the source code of this file.

## Functions

arm_status | arm_dct4_init_f32 (arm_dct4_instance_f32 *S, arm_rfft_instance_f32 *S_RFFT, arm_cfft_radix4_instance_f32 *S_CFFT, uint16_t N, uint16_t Nby2, float32_t normalize)

## Variables

static const float32_t | Weights_128 [256]
static const float32_t | Weights_512 [1024]
static const float32_t | Weights_2048 [4096]
static const float32_t | cos_factors_128 [128]
static const float32_t | cos_factors_512 [512]
static const float32_t | cos_factors_2048 [2048]

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines